#!/bin/sh -e
## 07_close_imp_filehandle.dpatch by Bastian Kleineidam <calvin@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

if [ $# -ne 1 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi

[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
patch_opts="${patch_opts:--f --no-backup-if-mismatch}"

case "$1" in
       -patch) patch $patch_opts -p1 < $0;;
       -unpatch) patch $patch_opts -p1 -R < $0;;
        *)
                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
                exit 1;;
esac

exit 0

@DPATCH@
diff -urNad /home/calvin/debian/roundup-0.6.2/templates/classic/detectors/__init__.py roundup-0.6.2/templates/classic/detectors/__init__.py
--- /home/calvin/debian/roundup-0.6.2/templates/classic/detectors/__init__.py	2003-09-29 11:07:43.000000000 +0200
+++ roundup-0.6.2/templates/classic/detectors/__init__.py	2003-09-29 11:09:08.000000000 +0200
@@ -31,7 +31,7 @@
             path = os.path.abspath(os.path.join(this_dir, filename))
             fp = open(path)
             try:
-                module = imp.load_module(name, open(path), path,
+                module = imp.load_module(name, fp, path,
                     ('.py', 'r', imp.PY_SOURCE))
             finally:
                 fp.close()
diff -urNad /home/calvin/debian/roundup-0.6.2/templates/minimal/detectors/__init__.py roundup-0.6.2/templates/minimal/detectors/__init__.py
--- /home/calvin/debian/roundup-0.6.2/templates/minimal/detectors/__init__.py	2003-09-05 01:46:09.000000000 +0200
+++ roundup-0.6.2/templates/minimal/detectors/__init__.py	2003-09-29 11:09:22.000000000 +0200
@@ -31,7 +31,7 @@
             path = os.path.abspath(os.path.join(this_dir, filename))
             fp = open(path)
             try:
-                module = imp.load_module(name, open(path), path,
+                module = imp.load_module(name, fp, path,
                     ('.py', 'r', imp.PY_SOURCE))
             finally:
                 fp.close()

 	  	 
